/* eslint-disable no-undef */
/* eslint-disable @typescript-eslint/no-require-imports */
const pkg = require('./package');

module.exports = {
  apiPath: 'stubs/api',
  webpackConfig: {
    output: {
      publicPath: `/static/${pkg.name}/${process.env.VERSION || pkg.version}/`,
    },
  },
  /* use https://admin.bro-js.ru/ to create config, navigations and features */
  navigations: {
    'dry-wash.main': '/dry-wash',
    'dry-wash.order.create': '/order',
    'dry-wash.order.view': '/order/:orderId',
    'dry-wash.arm.master': 'master',
    'dry-wash.arm.order': 'order',
    'dry-wash.arm': '/arm/*',
  },
  features: {
    'dry-wash-pl': {
      // add your features here in the format [featureName]: { value: string }
      'order-view-status-polling': { value: '3000' }
    },
  },
  config: {
    'dry-wash.api': '/api',
  },
};
